Bug 1905195 - [release-4.6] Detecting broken connections to the Kube API takes up to 15 minutes
Summary: [release-4.6] Detecting broken connections to the Kube API takes up to 15 min...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: openshift-apiserver
Version: 4.6
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.6.z
Assignee: Lukasz Szaszkiewicz
QA Contact: pmali
URL:
Whiteboard:
Depends On: 1905194
Blocks: 1905991
TreeView+ depends on / blocked
 
Reported: 2020-12-07 17:22 UTC by Lukasz Szaszkiewicz
Modified: 2021-02-18 11:13 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1905194
: 1905991 (view as bug list)
Environment:
Last Closed: 2021-02-08 13:50:52 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift oauth-apiserver pull 34 0 None closed Bug 1905195: Detecting broken connections to the Kube API takes up to 15 minutes 2021-02-18 07:24:56 UTC
Github openshift oauth-server pull 64 0 None closed Bug 1905195: Detecting broken connections to the Kube API takes up to 15 minutes 2021-02-18 07:24:53 UTC
Github openshift openshift-apiserver pull 162 0 None closed Bug 1905195: Detecting broken connections to the Kube API takes up to 15 minutes 2021-02-18 07:24:55 UTC
Red Hat Product Errata RHSA-2021:0308 0 None None None 2021-02-08 13:51:10 UTC

Description Lukasz Szaszkiewicz 2020-12-07 17:22:40 UTC
+++ This bug was initially created as a clone of Bug #1905194 +++

All API servers (openshift-apiserver, oauth-server, oauth-apiserver) rely on the TCP stack to detect broken network connections to KAS.
This can take up to 15 minutes. During that time our platform might be unavailable. 


There are already reported cases in which aggregated APIs (i.e. `openshift-apiserver`) were unable to establish a new connection to the Kube API for 15 minutes:

 - after "ungraceful termination" https://bugzilla.redhat.com/show_bug.cgi?id=1881878
 - after a network error https://bugzilla.redhat.com/show_bug.cgi?id=1879232#c39)


Detecting a broken connection should be quicker ideally it should take seconds not minutes.

Comment 1 Xingxing Xia 2021-01-13 12:13:36 UTC
Pravin, when PRs/bug statuses are ready, help verify (or pre-merge verify) openshift-apiserver, oauth-openshift, and oauth-apiserver, see my steps in the 4.7 clone bug 1905194#c14 ~ c16 (you can ignore other preceding exploring comments there).

Comment 2 Lukasz Szaszkiewicz 2021-01-15 10:08:49 UTC
PRs in the merge queue.

Comment 12 errata-xmlrpc 2021-02-08 13:50:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: OpenShift Container Platform 4.6.16 security and bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:0308


Note You need to log in before you can comment on or make changes to this bug.